# surcrose fr data 
d1<-read.table(file="fr/ETOH_lick_Box01_S140_2E90EDD056D5.csv", sep="\t", header=T)
d2<-read.table(file="fr/ETOH_lick_Box02_S122_2E90EDD08407.csv", sep="\t", header=T)
d3<-read.table(file="fr/ETOH_lick_Box03_S116_2E90EDD08407.csv", sep="\t", header=T)
d4<-read.table(file="fr/ETOH_lick_Box04_S117_2E90EDD21091.csv", sep="\t", header=T)
d5<-read.table(file="fr/ETOH_lick_Box05_S33_2E90EDD079FA.csv", sep="\t", header=T)

# water fr data
w1<-read.table(file="../water/water_fr/ETOH_lick_Box01_S136_2E90EDD051D2.csv", sep="\t", header=T)
w2<-read.table(file="../water/water_fr/ETOH_lick_Box02_S118_2E90EDD08407.csv", sep="\t", header=T)
w3<-read.table(file="../water/water_fr/ETOH_lick_Box03_S124_2E90EDD21091.csv", sep="\t", header=T)
w4<-read.table(file="../water/water_fr/ETOH_lick_Box04_S113_2E90EDD235B4.csv", sep="\t", header=T)
w5<-read.table(file="../water/water_fr/ETOH_lick_Box05_S29_2E90EDD056D5.csv", sep="\t", header=T)


threshold<-0.5 ## for defining cluster 
cluster<-function(d0, event="ACTIVE"){
	act<-subset(d0, EventType==event)$seconds
	act1<-c(0,act[1:(length(act)-1)])
	dif0<-act-act1
	dif<-dif0< threshold
	clusterSize=NULL
	cnt=0
	j=0
	for (i in dif0) {
		if (i<1) {
			cnt=cnt+1
		} else {
			if (cnt>2) {
				j=j+1
				clusterSize[j]=cnt
				cnt=0
			}
		}
	}
	clusterSize
}

#interlicking interval, act
ili<-function(d0, event="ACTIVE"){
	act<-subset(d0, EventType==event)$seconds
	act0<-c(0,act[1:(length(act)-1)])
	dif0<-act-act0
	dif0[dif0<threshold]
}

#interlick interval for active
d1a<-ili(d1, "ACTIVE")
d2a<-ili(d2, "ACTIVE")
d3a<-ili(d3, "ACTIVE")
d4a<-ili(d4, "ACTIVE")
d5a<-ili(d5, "ACTIVE")
#interlick interval for inactive
d1i<-ili(d1, "INACTIVE")
d2i<-ili(d2, "INACTIVE")
d3i<-ili(d3, "INACTIVE")
d4i<-ili(d4, "INACTIVE")
d5i<-ili(d5, "INACTIVE")
#cluster size for active
d1ac<-cluster(d1)
d2ac<-cluster(d2)
d3ac<-cluster(d3)
d4ac<-cluster(d4)
d5ac<-cluster(d5)
#cluster size for inactive
d1ic<-cluster(d1, "INACTIVE")
d2ic<-cluster(d2, "INACTIVE")
d3ic<-cluster(d3, "INACTIVE")
d4ic<-cluster(d4, "INACTIVE")
d5ic<-cluster(d5, "INACTIVE")

## water data
#interlick interval for active
w1a<-ili(w1, "ACTIVE")
w2a<-ili(w2, "ACTIVE")
w3a<-ili(w3, "ACTIVE") # null
w4a<-ili(w4, "ACTIVE")
w5a<-ili(w5, "ACTIVE")
#interlick interval for inactive
w1i<-ili(w1, "INACTIVE")
w2i<-ili(w2, "INACTIVE")
w3i<-ili(w3, "INACTIVE")
w4i<-ili(w4, "INACTIVE")
w5i<-ili(w5, "INACTIVE")
#cluster size for active
w1ac<-cluster(w1)
w2ac<-cluster(w2)
w3ac<-cluster(w3)  #null
w4ac<-cluster(w4)
w5ac<-cluster(w5)
#cluster size for inactive
w1ic<-cluster(w1, "INACTIVE")
w2ic<-cluster(w2, "INACTIVE")
w3ic<-cluster(w3, "INACTIVE")
w4ic<-cluster(w4, "INACTIVE")
w5ic<-cluster(w5, "INACTIVE")


ti<-"../../figures/lickStructure.eps"
postscript(file=ti,width=11*.8,height=8.5*.6,onefile=F,horizontal=F,paper="special")  
par(mfcol=c(2,4), font.lab=2)
histcol<-"tomato"
brks<-c(0:52)*4
hist(c(d1ac,d2ac,d4ac,d5ac),breaks=brks,  main="Sucrose\nActive Spout", col=histcol, ylim=c(0,80),  xlab="Cluster Size", xlim=c(0,150))
hist(c(w1ac,w2ac,w4ac,w5ac),breaks=brks,  main="Water\nActive Spout", col=histcol, ylim=c(0,80), xlab="Cluster Size", xlim=c(0,150))
hist(c(d1ic,d2ic,d4ic,d5ic),breaks=brks,  main="Sucrose\nInactive Spout", col=histcol, ylim=c(0,80), xlab="Cluster Size", xlim=c(0,150))
hist(c(w1ic,w2ic,w4ic,w5ic),breaks=brks,  main="Water\nInactive Spout", col=histcol, ylim=c(0,80), xlab="Cluster Size", xlim=c(0,150))
histcol<-"royalblue"
brks=c(0:20)/40
hist(c(d1a,d2a,d4a,d5a), breaks=brks, main="Sucrose\nActive Spout", col=histcol, xlab="ILI, Seconds")
hist(c(w1a,w2a,w4a,w5a), breaks=brks, main="Water\nActive Spout", col=histcol, xlab="ILI, Seconds", ylim=c(0,80))
hist(c(d1i,d2i,d4i,d5i), breaks=brks, main="Sucrose\nInactive Spout", col=histcol, xlab="ILI, Seconds",ylim=c(0,80))
hist(c(w1i,w2i,w4i,w5i), breaks=brks, main="Water\nInactive Spout", col=histcol, xlab="ILI, Seconds", ylim=c(0,80))
dev.off()

# cluster size mean and se, active spout
dac<-c(mean(d1ac), mean(d2ac), mean(d3ac), mean(d4ac), mean(d5ac))
wac<-c(mean(w1ac), mean(w2ac), mean(w3ac), mean(w4ac), mean(w5ac))
dic<-c(mean(d1ic), mean(d2ic), mean(d3ic), mean(d4ic), mean(d5ic))
wic<-c(mean(w1ic), mean(w2ic), mean(w3ic), mean(w4ic), mean(w5ic))

c(mean(dac), sd(dac)/sqrt(5))
c(mean(wac), sd(wac)/sqrt(5))


# cluster size mean and se, inactive spout
c(mean(dic), sd(dic)/sqrt(5))
c(mean(wic), sd(wic)/sqrt(5))



# interlick interval mean and se, active spout
da<-c(mean(d1a), mean(d2a), mean(d3a), mean(d4a), mean(d5a))
wa<-c(mean(w1a), mean(w2a), mean(w3a), mean(w4a), mean(w5a))
di<-c(mean(d1i), mean(d2i), mean(d3i), mean(d4i), mean(d5i))
wi<-c(mean(w1i), mean(w2i), mean(w3i), mean(w4i), mean(w5i))

c(mean(da), sd(da)/sqrt(5))
c(mean(wa), sd(wa)/sqrt(5))

# interlick interval  mean and se, inactive spout

c(mean(di), sd(di)/sqrt(5))
c(mean(wi), sd(wi)/sqrt(5))

t.test( dac , wac)
t.test( dic , wic)
t.test( da , wa)
t.test( di , wi)


