#sucrose 
sfr<-read.table(file="fr/ETOH_lick_Box01_S140_2E90EDD056D5.csv", header=T, sep="\t")
svr<-read.table(file="vr/ETOH_lick_Box02_S121_2E90EDD08407.csv", header=T, sep="\t")
spr<-read.table(file="pr/ETOH_lick_Box02_S123_1E003E3B0C17.csv", header=T, sep="\t")
#water
wfr<-read.table(file="../water/water_fr/ETOH_lick_Box05_S29_2E90EDD056D5.csv", header=T, sep="\t")
wvr<-read.table(file="../water/water_vr/ETOH_lick_Box02_S119_2E90EDD051D2.csv", header=T, sep="\t")
wpr<-read.table(file="../water/water_pr/ETOH_lick_Box05_S46_2E90EDD056D5.csv", header=T, sep="\t")

tcourse<-function(d1, ti,yrange=c(0,8000)) {
	act<-subset(d1, EventType=="ACTIVE")$seconds
	ina<-subset(d1, EventType=="INACTIVE")$seconds
	rew<-subset(d1, EventType=="REWARD")$seconds
	act.df<-data.frame(act, cnt=1:length(act))
	rew.df<-data.frame(rew, cnt=1:length(rew))
	actrew<-merge(act.df, rew.df, by.x="act", by.y="rew", all.y=T)
	plot(act/60, 1:length(act), lty=1, type='l', ylim=yrange, main=ti,  xlab = "Minutes", ylab="Number of Licks", col="grey30")
	text(actrew$act/60, actrew$cnt.x, "l", col="red", srt=45, cex=0.9)
	points(ina/60,  col="grey20", lty=2, type="l")
}

ti<-"../../figures/timecourse.eps"
postscript(file=ti,width=7,height=5,onefile=F,horizontal=F,paper="special")  
par(mfrow=c(2,3))
tcourse(sfr, "Sucrose, FR10")
legend("topleft",lty=c(1,2,0), c("Active Spout", "Inactive Spout", "Reward"), bty="n", pch=c(".", ".", "l"), col=c("grey20", "grey20", "red"))
tcourse(svr, "Sucrose, VR10")
tcourse(spr, "Sucrose, PR")
tcourse(wfr, "Water, FR10", c(0,600))
tcourse(wvr, "Water, VR10", c(0,600))
tcourse(wpr, "Water, PR", c(0,600))
dev.off()





